#
# spec file for package cmpi-provider-register
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cmpi-provider-register
Version:        1.1.0
Release:        2.15
Summary:        CIMOM neutral provider registration utility
License:        BSD-3-Clause
Group:          System/Management
Requires:       cim-schema
%if 0%{?suse_version} >= 1500
Requires:       python3-pywbem
%else
Requires:       python-pywbem
%endif
BuildArch:      noarch
Source0:        cmpi-provider-register.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A utility allowing CMPI provider packages to register with various
CIMOM(s) present on the system.

%prep

%build
# For older SUSE distros and others, use whatever default python.
%if 0%{?suse_version} < 1500
sed -i -e 's,^#!/usr/bin/python3,#!/usr/bin/python,' %{S:0}
%endif

%install
mkdir -p %{buildroot}/usr/sbin
install -m 755 %{S:0} %{buildroot}/usr/sbin/cmpi-provider-register

%files
%defattr(-,root,root)
/usr/sbin/cmpi-provider-register

%changelog
* Wed Mar 14 2018 adam.majer@suse.de
- Adapt cmpi-provider-register to explicitly require only python3
  for SLE15/Leap15 onward (bnc#1085089)
- minor cleanup of the spec file and description update
- drop all build requires - we are not building anything, just
  copying a single file into place.
* Mon Jan 15 2018 adam.majer@suse.de
- Fix upgrade paths from SLE11 (bnc#1072564)
  + Adapt cmpi-provider-register to continue to function and
    maintain sblim-sfcb's providers irrespective if sblim-sfcb is
    present or not. This prevents dangling symlinks and subsequent
    failures in registration/deregistration RPM scriptlets.
  + Adapt sfcb_init_script to function with all supported
    codestreams.
- Adapt to python3
* Fri Jun  9 2017 adam.majer@suse.de
- Adapt sfcb_init_script to SLE12SP1 (bnc#1041885)
* Wed Apr 29 2015 pwieczorkiewicz@suse.com
- Do not put empty element (ie the current dir) in LD_LIBRARY_PATH
  if LD_LIBRARY_PATH is set but empty (bsc#642831)
* Sun Nov  9 2014 bwiedemann@suse.com
- give 755 permissions to script (bnc#851641)
* Thu Apr 24 2014 kkaempf@suse.com
- Adapt sfcb_init_script to comply with systemd (bnc#874811)
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue Dec 23 2008 bwhiteley@suse.de
- Properly handle registration with Microsoft SCX cim server,
  so scx upgrades don't break us.
* Tue Oct 14 2008 bwhiteley@suse.de
- Added license to script (bnc:434694)
- Don't fail if link destinations exist; only warn.
- Changes to make it work on python 2.4.
* Sat Sep 27 2008 bwhiteley@suse.de
- Initial checkin
